Bug 169546 - Repocopy request: mail/mutt -> mail/mutt14
Repocopy request: mail/mutt -> mail/mutt14
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 17:10 UTC by Chris Rees
Modified: 2012-07-22 10:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees freebsd_committer 2012-06-29 17:10:13 UTC
	Please repocopy mail/mutt to mail/mutt14.
Comment 1 Edwin Groothuis freebsd_committer 2012-06-29 17:11:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-06-29 17:11:17 UTC
Maintainer of mail/mutt,

Please note that PR ports/169546 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169546

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-06-29 17:11:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Chris Rees freebsd_committer 2012-06-29 17:21:09 UTC
State Changed
From-To: feedback->repocopy

Approved by submitter-- please repocopy http://lists.freebsd.org/pipermail/cvs-ports/2012-June/245885.html 


Comment 5 Chris Rees freebsd_committer 2012-06-29 17:21:09 UTC
Responsible Changed
From-To: crees->portmgr

Please repocopy.
Comment 6 Joe Marcus Clarke freebsd_committer 2012-06-30 21:25:55 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 7 Joe Marcus Clarke freebsd_committer 2012-06-30 21:25:55 UTC
Responsible Changed
From-To: portmgr->crees

Repocopy complete.
Comment 8 dfilter freebsd_committer 2012-07-01 16:22:18 UTC
crees       2012-07-01 15:22:06 UTC

  FreeBSD ports repository

  Modified files:
    mail/mutt14          Makefile distinfo pkg-descr pkg-plist 
                         pkg-plist.htmlfiles 
  Log:
  Repocopied mail/mutt --> mail/mutt14
  
  PR:             ports/169546
  Repocopied by:  marcus
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.196     +0 -0      ports/mail/mutt14/Makefile
  1.66      +0 -0      ports/mail/mutt14/distinfo
  1.7       +0 -0      ports/mail/mutt14/pkg-descr
  1.38      +1 -1      ports/mail/mutt14/pkg-plist
  1.12      +0 -0      ports/mail/mutt14/pkg-plist.htmlfiles
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter freebsd_committer 2012-07-01 19:26:55 UTC
crees       2012-07-01 18:26:45 UTC

  FreeBSD ports repository

  Modified files:
    mail/mutt14/files    extra-patch-doc-ref patch-02 patch-03 
                         patch-05 patch-08 patch-aclocal.m4 
                         patch-configure.in 
                         patch-contrib-Makefile.in 
                         patch-doc-mutt.man patch-examples 
                         patch-init.c patch-m4-gssapi.m4 
                         patch-mktemp patch-threadcomplete patch-z 
  Log:
  Repocopied mail/mutt --> mail/mutt14
  
  PR:             ports/169546
  Repocopied by:  marcus
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.3       +0 -0      ports/mail/mutt14/files/extra-patch-doc-ref
  1.9       +0 -0      ports/mail/mutt14/files/patch-02
  1.6       +0 -0      ports/mail/mutt14/files/patch-03
  1.12      +0 -0      ports/mail/mutt14/files/patch-05
  1.3       +0 -0      ports/mail/mutt14/files/patch-08
  1.2       +0 -0      ports/mail/mutt14/files/patch-aclocal.m4
  1.7       +0 -0      ports/mail/mutt14/files/patch-configure.in
  1.2       +0 -0      ports/mail/mutt14/files/patch-contrib-Makefile.in
  1.2       +0 -0      ports/mail/mutt14/files/patch-doc-mutt.man
  1.3       +0 -0      ports/mail/mutt14/files/patch-examples
  1.3       +0 -0      ports/mail/mutt14/files/patch-init.c
  1.2       +0 -0      ports/mail/mutt14/files/patch-m4-gssapi.m4
  1.4       +0 -0      ports/mail/mutt14/files/patch-mktemp
  1.2       +0 -0      ports/mail/mutt14/files/patch-threadcomplete
  1.2       +0 -0      ports/mail/mutt14/files/patch-z
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2012-07-22 10:15:21 UTC
Author: crees
Date: Sun Jul 22 09:15:04 2012
New Revision: 301308
URL: http://svn.freebsd.org/changeset/ports/301308

Log:
  Move mail/mutt to mail/mutt14
  
  Move mail/mutt-lite to mail/mutt14-lite
  
  Move mail/mutt-devel to mail/mutt
  
  Moving mail/mutt-devel-lite to mail/mutt-lite will follow next to avoid
  breaking the cvs exporter
  
  PR:		ports/169546
  Suggested by:	obrien
  Approved by:	maintainer

Added:
  head/mail/mutt/files/extra-patch-aspell
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-aspell
  head/mail/mutt/files/extra-patch-doc-xml
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-doc-xml
  head/mail/mutt/files/extra-patch-greeting
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-greeting
  head/mail/mutt/files/extra-patch-ifdef
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-ifdef
  head/mail/mutt/files/extra-patch-maildir-mtime
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-maildir-mtime
  head/mail/mutt/files/extra-patch-maildir-mtime-nntp
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-maildir-mtime-nntp
  head/mail/mutt/files/extra-patch-no-mbox-manpage
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-no-mbox-manpage
  head/mail/mutt/files/extra-patch-nodoc-contrib
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-nodoc-contrib
  head/mail/mutt/files/extra-patch-parent-child-match
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-parent-child-match
  head/mail/mutt/files/extra-patch-pgp-dw
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-pgp-dw
  head/mail/mutt/files/extra-patch-reverse_reply
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-reverse_reply
  head/mail/mutt/files/extra-patch-sidebar
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-sidebar
  head/mail/mutt/files/extra-patch-sidebar-nntp
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-sidebar-nntp
  head/mail/mutt/files/extra-patch-signature-menu
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-signature-menu
  head/mail/mutt/files/extra-patch-smime-outlook
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-smime-outlook
  head/mail/mutt/files/extra-patch-trash-purge
     - copied unchanged from r301301, head/mail/mutt-devel/files/extra-patch-trash-purge
  head/mail/mutt/files/patch-Makefile.am
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-Makefile.am
  head/mail/mutt/files/patch-Makefile.am.doc
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-Makefile.am.doc
  head/mail/mutt/files/patch-bdb
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-bdb
  head/mail/mutt/files/patch-color-eol
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-color-eol
  head/mail/mutt/files/patch-configure.ac
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-configure.ac
  head/mail/mutt/files/patch-contrib-Makefile.am
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-contrib-Makefile.am
  head/mail/mutt/files/patch-crypt-gpgme.c
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-crypt-gpgme.c
  head/mail/mutt/files/patch-date-conditional
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-date-conditional
  head/mail/mutt/files/patch-doc-manual.xml.head
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-doc-manual.xml.head
  head/mail/mutt/files/patch-gnutls-CN-validation
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-gnutls-CN-validation
  head/mail/mutt/files/patch-imap-message.c
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-imap-message.c
  head/mail/mutt/files/patch-nbsp
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-nbsp
  head/mail/mutt/files/patch-pgp
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-pgp
  head/mail/mutt/files/patch-smime-self
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-smime-self
  head/mail/mutt/files/patch-smime-sender
     - copied unchanged from r301301, head/mail/mutt-devel/files/patch-smime-sender
  head/mail/mutt/scripts/
     - copied from r301301, head/mail/mutt-devel/scripts/
  head/mail/mutt14-lite/
     - copied from r301301, head/mail/mutt-lite/
Deleted:
  head/mail/mutt-devel/
  head/mail/mutt-lite/
  head/mail/mutt/files/patch-03
  head/mail/mutt/files/patch-aclocal.m4
  head/mail/mutt/files/patch-configure.in
  head/mail/mutt/files/patch-contrib-Makefile.in
  head/mail/mutt/files/patch-doc-mutt.man
  head/mail/mutt/files/patch-m4-gssapi.m4
  head/mail/mutt/files/patch-z
  head/mail/mutt/pkg-plist
  head/mail/mutt/pkg-plist.htmlfiles
Modified:
  head/MOVED
  head/UPDATING
  head/chinese/mutt/Makefile
  head/mail/Makefile
  head/mail/mutt/Makefile
  head/mail/mutt/distinfo
  head/mail/mutt/files/extra-patch-doc-ref
  head/mail/mutt/files/patch-02
  head/mail/mutt/files/patch-05
  head/mail/mutt/files/patch-08
  head/mail/mutt/files/patch-examples
  head/mail/mutt/files/patch-mktemp
  head/mail/mutt/files/patch-threadcomplete
  head/mail/mutt14-lite/Makefile
  head/mail/mutt14/Makefile

Modified: head/MOVED
==============================================================================
--- head/MOVED	Sun Jul 22 09:14:46 2012	(r301307)
+++ head/MOVED	Sun Jul 22 09:15:04 2012	(r301308)
@@ -3555,3 +3555,5 @@ archivers/zlib||2012-07-18|Removed in fa
 devel/app|devel/papp|2012-07-18|Project renamed upstream
 databases/redis-scripting|databases/redis-devel|2012-07-19|Removed, please use databases/redis-devel instead.
 devel/acpicatools||2012-07-22|Has expired: It's quite obsolete and is already in base system for a long time
+mail/mutt-devel|mail/mutt|2012-07-22|mail/mutt-devel is ready for primetime
+mail/mutt-devel-lite|mail/mutt-lite|2012-07-22|mail/mutt-devel is ready for primetime

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Sun Jul 22 09:14:46 2012	(r301307)
+++ head/UPDATING	Sun Jul 22 09:15:04 2012	(r301308)
@@ -5,6 +5,17 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20120722
+  AFFECTS: users of mail/mutt
+  AUTHOR: crees@FreeBSD.org
+
+  mail/mutt-devel has been moved to mail/mutt, since 1.5 has been around
+  for a while.
+
+  Should you wish to stick with version 1.4 at this time;
+
+  # portmaster -o mail/mutt14 mutt
+
 20120721
   AFFECTS: users of audio/libogg
   AUTHOR: naddy@FreeBSD.org

Modified: head/chinese/mutt/Makefile
==============================================================================
--- head/chinese/mutt/Makefile	Sun Jul 22 09:14:46 2012	(r301307)
+++ head/chinese/mutt/Makefile	Sun Jul 22 09:15:04 2012	(r301308)
@@ -9,7 +9,7 @@
 PORTREVISION=	2
 CATEGORIES=	chinese
 
-MASTERDIR=	${.CURDIR}/../../mail/mutt-devel
+MASTERDIR=	${.CURDIR}/../../mail/mutt
 REVISEDATE=	20100927
 PORTREVISION=	${REVISEDATE}
 
@@ -19,7 +19,7 @@ PORTREVISION=	${REVISEDATE}
 MAINTAINER=	rafan@FreeBSD.org
 COMMENT=	The Mongrel of Mail User Agents with Chinese support
 
-CONFLICTS=	ja-mutt-[0-9]* ja-mutt-devel-[0-9]* mutt-[0-9]* mutt-devel-[0-9]* mutt-devel-lite-[0-9]* mutt-lite-[0-9]*
+CONFLICTS=	ja-mutt-[0-9]* ja-mutt-devel-[0-9]* mutt-[0-9]* mutt-lite-[0-9]*
 
 LIB_DEPENDS+=	hz.0:${PORTSDIR}/chinese/autoconvert
 

Modified: head/mail/Makefile
==============================================================================
--- head/mail/Makefile	Sun Jul 22 09:14:46 2012	(r301307)
+++ head/mail/Makefile	Sun Jul 22 09:15:04 2012	(r301308)
@@ -300,9 +300,9 @@
     SUBDIR += mu
     SUBDIR += mulberry
     SUBDIR += mutt
-    SUBDIR += mutt-devel
-    SUBDIR += mutt-devel-lite
-    SUBDIR += mutt-lite
+    SUBDIR += mutt14
+    SUBDIR += mutt14-lite
+#    SUBDIR += mutt-lite
     SUBDIR += mutt_vc_query
     SUBDIR += muttils
     SUBDIR += muttzilla

Modified: head/mail/mutt/Makefile
==============================================================================
--- head/mail/mutt/Makefile	Sun Jul 22 09:14:46 2012	(r301307)
+++ head/mail/mutt/Makefile	Sun Jul 22 09:15:04 2012	(r301308)
@@ -1,145 +1,497 @@
 # ex:ts=8
-# Ports collection makefile for:  mutt w/pgp hooks
-# Date created:			  Thur July 25, 1996
-# Whom:				  David O'Brien (obrien@NUXI.com)
+# Ports collection makefile for:  mutt development
+# Date created:			  6 Jun 2001
+# Whom:				  Udo Schweigert
 #
 # $FreeBSD$
 #
+# There are several knobs which are used to define additions to the core
+# mutt functionality.
+#
+# As all of the knobs have a unique name which should not interfere with
+# other ports you can add them to /etc/make.conf, e.g. a line like
+# "WITH_MUTT_NNTP=yes" will enable mutt's nntp facilities.
+#
+# In addition to the knobs listed below you can enable other configuration
+# options of mutt by adding them to the MUTT_CONFIGURE_ARGS variable. For
+# example you could say "MUTT_CONFIGURE_ARGS=--with-homespool=MyMail" to
+# configure a different file for mutt's homespool.
+#
+# The two most important knobs are:
+#
+# In general you can choose between using ncurses (WITH_MUTT_NCURSES)
+# and SLANG (WITH_MUTT_SLANG). Note that you may have to set the variables
+# COLORTERM=yes and COLORFGBG="color1;color2" in your environment to get slang
+# function properly.
+# The default version for ncurses is that which comes with the operating
+# system. If you want to use the ncurses supplied by the ports-system define
+# WITH_MUTT_NCURSES_PORT.
+#
+# If you want to install the mutt documentation in html and ps format define:
+#  WITH_MUTT_HTML
+#  This is a default knob and can be disabled by WITHOUT_MUTT_HTML
+#
+# If you do not want that the documentation is rebuilt using the xml tools
+# define:
+#  WITHOUT_MUTT_XML
+#    (this can only be stated if WITHOUT_MUTT_HTML is defined)
+#
+# If you want to access compressed email folders define:
+#  WITH_MUTT_COMPRESSED_FOLDERS
+#  This is a default knob and can be disabled by WITHOUT_MUTT_COMPRESSED_FOLDERS
+#
+# If you do not want mutt to use the iconv library define:
+#  WITHOUT_MUTT_ICONV
+#
+# If you want mutt to use the idn library define:
+#  WITH_MUTT_IDN
+#
+# If you want to make use of the gpgme interface define:
+#  WITH_MUTT_GPGME
+#
+# If you want to enable extended quoting functions define:
+#  WITH_MUTT_QUOTE_PATCH
+#  This is a default knob and can be disabled by WITHOUT_MUTT_QUOTE_PATCH
+#
+# If you want to have the IMAP header cache define:
+#  WITH_MUTT_IMAP_HEADER_CACHE
+#
+# If you want to have the Maildir and the IMAP header cache define:
+#  WITH_MUTT_MAILDIR_HEADER_CACHE
+#
+# If you want to make SMIME outlook compatible define:
+#  WITH_MUTT_SMIME_OUTLOOK_COMPAT
+#  This is a default knob and can be disabled by
+#    WITHOUT_MUTT_SMIME_OUTLOOK_COMPAT
+#
+# If you want to read and post news with mutt define:
+#  WITH_MUTT_NNTP
+#
+# If you want to use the SASL2 authentication features with your email server
+# define
+#  WITH_MUTT_CYRUS_SASL2
+#
+# If you want mutt to use the GNU aspell spelling checker define:
+#  WITH_MUTT_ASPELL
+#
+# If you want mutt to use the ispell spelling checker define:
+#  WITH_MUTT_ISPELL
+#
+# If you want to use the signature menu define:
+#  WITH_MUTT_SIGNATURE_MENU
+#
+# If you want to use the printf-like enhancement to the mbox-hook command
+# define:
+#  WITH_MUTT_MBOX_HOOK_PATCH
+#
+# If you want to use the ifdef feature define:
+#  WITH_MUTT_IFDEF_PATCH
+#
+# If you want to have the Maildir mtime patch define:
+#  WITH_MUTT_MAILDIR_MTIME_PATCH
+#
+# If you want to have the Mailbox Sidebar patch define:
+#  WITH_MUTT_SIDEBAR_PATCH
+#
+# If you do not want mutt to use the flock() function define:
+#  WITHOUT_MUTT_FLOCK
+#
+# If you want to enable the reverse_reply option define:
+#  WITH_MUTT_REVERSE_REPLY_PATCH
+#
+# If you want to enable the `greeting' option define:
+#  WITH_MUTT_GREETING_PATCH
+#
+# If you want to enable the parent/child match support define:
+#  WITH_MUTT_PARENT_CHILD_MATCH_PATCH
+#
+# If you want to be able to use a trash folder for deleted emails (especially useful
+# for example for googlemail) define:
+#  WITH_MUTT_TRASH_PATCH
+#
+# If you want to enable the internal SMTP relay support define:
+#  WITH_MUTT_SMTP
+#
+# If you want to enable debugging capabilities define:
+#  WITH_MUTT_DEBUG
+#
+# If you do not want to install the manpages mbox.5 and mmdf.5 (because that
+# conflicts with other ports which installed these:
+#  WITHOUT_MUTT_MAILBOX_MANPAGES
+#
+# Use CFLAGS_ADD and LDFLAGS_ADD to append additional CLFAGS and LDFLAGS.
+#
 
 PORTNAME=	mutt
-PORTVERSION=	1.4.2.3
-PORTREVISION?=	6
+PORTVERSION=	1.5.21
 CATEGORIES+=	mail ipv6
-MASTER_SITES=	ftp://ftp.mutt.org/mutt/ \
-		ftp://ftp.fu-berlin.de/pub/unix/mail/mutt/ \
-		ftp://ftp.demon.co.uk/pub/mirrors/mutt/
-
-PATCHVERSION?=	${PORTVERSION}
-PATCHVERSION=	1.4.2.2
-PATCH_SITES=	http://www.mutt.org.ua/download/mutt-${PATCHVERSION}/:vvv \
-		http://www2.mutt.org.ua/download/mutt-${PATCHVERSION}/:vvv \
-		http://www3.mutt.org.ua/download/mutt-${PATCHVERSION}/:vvv \
-		ftp://ftp.mutt.org.ua/pub/mutt/mutt-${PATCHVERSION}/:vvv \
-		ftp://ftp3.mutt.org.ua/pub/mutt/mutt-${PATCHVERSION}/:vvv
-PATCHFILES=	patch-${PATCHVERSION}.rr.compressed.gz:vvv \
-		patch-${PATCHVERSION}.vvv.initials.gz:vvv
-PATCH_DIST_STRIP=	-p1
+.if defined(WITH_MUTT_NNTP)
+CATEGORIES+=	news
+.endif
+MASTER_SITES=	ftp://ftp.mutt.org/mutt/devel/ \
+		ftp://ftp.fu-berlin.de/pub/unix/mail/mutt/devel/ \
+		ftp://ftp.demon.co.uk/pub/mirrors/mutt/devel/ \
+		http://www.mutt.org.ua/download/mutt-${VVV_PATCH_VERSION}/:vvv \
+		http://www2.mutt.org.ua/download/mutt-${VVV_PATCH_VERSION}/:vvv \
+		http://www3.mutt.org.ua/download/mutt-${VVV_PATCH_VERSION}/:vvv \
+		ftp://ftp.mutt.org.ua/pub/mutt/mutt-${VVV_PATCH_VERSION}/:vvv \
+		ftp://ftp3.mutt.org.ua/pub/mutt/mutt-${VVV_PATCH_VERSION}/:vvv \
+		http://www.spinnaker.de/mutt/compressed/:rr \
+		http://lunar-linux.org/~tchan/mutt/:tchan
+DISTNAME=	mutt-${PORTVERSION}
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX}
+EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
+
+PATCH_SITES+=	http://www.mutt.org.ua/download/mutt-${VVV_PATCH_VERSION}/:vvv \
+		http://www2.mutt.org.ua/download/mutt-${VVV_PATCH_VERSION}/:vvv \
+		http://www3.mutt.org.ua/download/mutt-${VVV_PATCH_VERSION}/:vvv \
+		ftp://ftp.mutt.org.ua/pub/mutt/mutt-${VVV_PATCH_VERSION}/:vvv \
+		ftp://ftp3.mutt.org.ua/pub/mutt/mutt-${VVV_PATCH_VERSION}/:vvv \
+		http://home.woolridge.ca/mutt/patches/:dw \
+		http://www.spinnaker.de/mutt/compressed/:rr \
+		http://www.emaillab.org/mutt/${AC_PATCH_VERSION}/:jp
 
 MAINTAINER?=	udo.schweigert@siemens.com
-COMMENT?=	The Mongrel of Mail User Agents (part Elm, Pine, Mush, mh, etc.)
+COMMENT?=	The Mongrel of Mail User Agents (development version)
 
-CONFLICTS?=	ja-mutt-[0-9]* ja-mutt-devel-[0-9]* mutt-devel-[0-9]* mutt-devel-lite-[0-9]* mutt-lite-[0-9]* zh-mutt-devel-[0-9]*
+CONFLICTS?=	ja-mutt-[0-9]* ja-mutt-devel-[0-9]* mutt-1.4* mutt-devel-lite-[0-9]* mutt-lite-[0-9]* zh-mutt-devel-[0-9]*
 
-OPTIONS=	NLS "Native Language Support via gettext utilities" on \
- SLANG "Adds display/screen management via S-Lang" off \
- NCURSES "Adds ncurses console graphics support" off \
- SGML_DOCS "Enable mutt SGML documentation" off \
- LOCALES_FIX "Enable locales fixes" off \
- MUTT_XFACE "Adds mutt X-Face" off \
- MUTT_FLOCK "Enable mutt flock" on \
- MUTT_ICONV "Enable mutt iconv" on \
- GSSAPI "GSSAPI (Kerberos) support" on
+DIST_SUBDIR=	mutt
+DOCSDIR?=	${PREFIX}/share/doc/mutt
+EXAMPLESDIR?=	${PREFIX}/share/examples/mutt
+DATADIR?=	${PREFIX}/share/mutt
+CONFIGURE_ENV=	CC="${CC} -I${LOCALBASE}/include"
+CONFIGURE_ARGS=	--disable-fcntl --with-ssl=${OPENSSLBASE} \
+		--with-docdir=${DOCSDIR} --sysconfdir=${PREFIX}/etc \
+		--enable-external-dotlock --enable-pop --enable-imap \
+		--disable-warnings
+.if defined(MUTT_CONFIGURE_ARGS)
+CONFIGURE_ARGS+=	${MUTT_CONFIGURE_ARGS}
+.endif
 
+USE_AUTOTOOLS=	automake autoconf
 USE_OPENSSL=	yes
 USE_NCURSES=	yes
+USE_NCURSES_RPATH=	yes
+
+.if !defined (MUTT_LITE)
+OPTIONS=	MUTT_ASPELL			"Enable aspell support"		off \
+		MUTT_COMPRESSED_FOLDERS		"Enable compressed folders"	on \
+		MUTT_CYRUS_SASL2		"Enable SASL2 authentication"	off \
+		MUTT_DEBUG			"Enable debugging capabilities"	off \
+		MUTT_FLOCK			"Enable flock() usage"		off \
+		MUTT_GPGME			"Enable gpgme interface"	off \
+		MUTT_GREETING_PATCH		"Enable greeting"		off \
+		MUTT_HTML			"Enable HTML documentation"	on \
+		MUTT_ICONV			"Enable iconv support"		on  \
+		MUTT_IDN			"Enable idn support"		off \
+		MUTT_IFDEF_PATCH		"Enable ifdef feature"		off \
+		MUTT_IMAP_HEADER_CACHE		"Enable imap header cache"	off \
+		MUTT_ISPELL			"Enable ispell support"		off \
+		MUTT_LOCALES_FIX		"Enable locales fix"		off \
+		MUTT_MAILBOX_MANPAGES		"Install mbox.5/mmdf.5 manpages"	on  \
+		MUTT_MAILDIR_HEADER_CACHE	"Enable maildir header cache"	off \
+		MUTT_MAILDIR_MTIME_PATCH	"Enable Maildir mtime patch"	off \
+		MUTT_MBOX_HOOK_PATCH		"Enable enhanced mbox-hook"	off \
+		MUTT_NCURSES			"Enable ncurses support"	on \
+		MUTT_NCURSES_PORT		"Use ncurses from port"		off \
+		MUTT_NNTP			"Enable news reader"		off \
+		MUTT_PARENT_CHILD_MATCH_PATCH	"Enable parent/child match"	off \
+		MUTT_QUOTE_PATCH		"Enable extended quoting"	on  \
+		MUTT_REVERSE_REPLY_PATCH	"Enable reverse_reply"		off \
+		MUTT_SGMLFORMAT			"Enable sgml support"		on  \
+		MUTT_SIDEBAR_PATCH		"Enable sidebar"		off \
+		MUTT_SIGNATURE_MENU		"Enable signature menu"		off \
+		MUTT_SLANG			"Enable slang support"		off \
+		MUTT_SMIME_OUTLOOK_COMPAT	"SMIME outlook compatible"	on \
+		MUTT_SMTP			"Enable SMTP relay support"	off \
+		MUTT_TRASH_PATCH		"Enable trash folder support"	off \
+		MUTT_XML			"Use XML tools for docu"	on
+.endif
+
+PLIST=		${WRKDIR}/PLIST
+PKGMESSAGE=	${WRKDIR}/pkg-message
+SCRIPTS_ENV=	WRKDIR="${WRKDIR}"
 
 .include <bsd.port.pre.mk>
 
-RUN_DEPENDS=	${LOCALBASE}/etc/mime.types:${PORTSDIR}/misc/mime-support
-.if defined(PACKAGE_BUILDING) && !defined (MUTT_LITE)
-WITH_SLANG=	yes
-BUILD_DEPENDS=	ispell:${PORTSDIR}/textproc/ispell
-RUN_DEPENDS+=	ispell:${PORTSDIR}/textproc/ispell \
-		urlview:${PORTSDIR}/textproc/urlview
+DW_PATCH_VERSION=	1.5.6
+AC_PATCH_VERSION=	1.5.9
+DW_MBOX_PATCH_VERSION=	1.5.18
+.if !defined(VVV_PATCH_VERSION)
+VVV_PATCH_VERSION=	${PORTVERSION}
+.endif
+.if !defined(RR_PATCH_VERSION)
+RR_PATCH_VERSION=	${PORTVERSION}
+.endif
+.if !defined(DW_PATCH_VERSION)
+DW_PATCH_VERSION=	${PORTVERSION}
+.endif
+.if !defined(DW_MBOX_PATCH_VERSION)
+DW_MBOX_PATCH_VERSION=	${DW_PATCH_VERSION}
+.endif
+.if !defined(AC_PATCH_VERSION)
+AC_PATCH_VERSION=	${PORTVERSION}
+.endif
+.if defined(WITH_MUTT_MAILDIR_HEADER_CACHE)
+WITH_MUTT_IMAP_HEADER_CACHE=	yes
 .endif
 
 .if defined (MUTT_LITE)
+WITHOUT_MUTT_XML=			yes
+WITHOUT_MUTT_COMPRESSED_FOLDERS=	yes
+WITHOUT_MUTT_QUOTE_PATCH=		yes
+WITHOUT_MUTT_HTML=			yes
+WITH_MUTT_NCURSES=			yes
 PKGNAMESUFFIX=	-lite
-WITH_SGML_DOCS:=no
-.elif ${ARCH} == "alpha"
-#  coredump in sgmls
-WITH_SGML_DOCS:=no
 .endif
 
+# XXX
+# this should be done automagically by aclocal but ....
+# for now, this will have to do
+pre-build:
+	@${REINPLACE_CMD} -E -e "s|^(ACLOCAL = ).+|\1${ACLOCAL}|" \
+			-e "s|^(AUTOCONF = ).+|\1${AUTOCONF}|" \
+			-e "s|^(AUTOMAKE = ).+|\1${AUTOMAKE}|" \
+			-e "s|^(AUTOHEADER = ).+|\1${AUTOHEADER}|" \
+		${BUILD_WRKSRC}/Makefile
+
+RUN_DEPENDS+=	${LOCALBASE}/etc/mime.types:${PORTSDIR}/misc/mime-support
+.if !defined (MUTT_LITE)
+.if exists(${LOCALBASE}/bin/aspell) && !defined(WITH_MUTT_ISPELL)
+WITH_MUTT_ASPELL=	yes
+.elif exists(${LOCALBASE}/bin/ispell) && !defined(WITH_MUTT_ASPELL)
+WITH_MUTT_ISPELL=	yes
+.endif
+.if defined(PACKAGE_BUILDING) && !defined(WITH_MUTT_ASPELL) && \
+	!defined(WITH_MUTT_ISPELL)
+WITH_MUTT_ASPELL=	yes
+.endif
+.if defined(WITH_MUTT_ASPELL)
+BUILD_DEPENDS+=	aspell:${PORTSDIR}/textproc/aspell
+RUN_DEPENDS+=	aspell:${PORTSDIR}/textproc/aspell
+.elif defined(WITH_MUTT_ISPELL)
+BUILD_DEPENDS+=	ispell:${PORTSDIR}/textproc/ispell
+RUN_DEPENDS+=	ispell:${PORTSDIR}/textproc/ispell
+.endif
+.if defined(PACKAGE_BUILDING)
+RUN_DEPENDS+=	urlview:${PORTSDIR}/textproc/urlview
+.endif
+.endif
+
+.if defined(WITH_MUTT_NCURSES_PORT)
+WITH_MUTT_NCURSES=	yes
+.endif
+.if defined(WITH_MUTT_SLANG) || defined(WITH_SLANG)
+MUTT_USES_SLANG=	yes
+.endif
+.if defined(WITH_MUTT_NCURSES) && !defined(MUTT_USES_SLANG)
+MUTT_USES_NCURSES=	yes
+.endif
+.if !defined(MUTT_USES_SLANG) && !defined(WITHOUT_MUTT_SLANG)
+MUTT_USES_NCURSES=	yes
+.endif
+.if defined(WITHOUT_MUTT_SGMLFORMAT)
+XML_USED=	no
+.endif
+.if defined(WITHOUT_MUTT_XML)
+XML_USED=	no
+.endif
+.if !defined(XML_USED)
+XML_USED=	no
+.endif
 .if !defined(WITHOUT_NLS)
 USE_GETTEXT=	yes
-USE_ICONV=	yes
-.if defined(WITHOUT_MUTT_ICONV)
-IGNORE=	the WITHOUT_MUTT_ICONV knob of the mutt port only works if \
-	WITHOUT_NLS is also given
 .endif
-.elif !defined(WITHOUT_MUTT_ICONV)
+.if !defined(WITHOUT_MUTT_ICONV)
 USE_ICONV=	yes
 .endif
-
-.if defined(WITH_SLANG)
-LIB_DEPENDS+=	slang.2:${PORTSDIR}/devel/libslang2
-.elif defined(WITH_NCURSES)
+.if defined(NOPORTDOCS)
+XML_USED=	no
+.endif
+.if defined(WITH_MUTT_NCURSES_PORT)
+.if !defined(MUTT_USES_SLANG)
+MUTT_USES_NCURSES_PORT=	yes
+.endif
+.endif
+.if defined(MUTT_USES_NCURSES_PORT)
 WITH_NCURSES_PORT=	yes
+CFLAGS+=	-I${NCURSESINC}
+.elif defined(MUTT_USES_SLANG)
+LIB_DEPENDS+=	slang.2:${PORTSDIR}/devel/libslang2
 .endif
-.if !defined (MUTT_LITE)
-.if defined(WITH_MUTT_CYRUS_SASL)
-IGNORE=	the SASL support for mutt has been withdrawn. Please use the mutt-devel port instead
+.if defined(WITH_MUTT_CYRUS_SASL2)
+LIB_DEPENDS+=	sasl2.2:${PORTSDIR}/security/cyrus-sasl2
+.endif
+.if exists(${LOCALBASE}/lib/libidn.so) && !defined(WITHOUT_MUTT_IDN)
+WITH_MUTT_IDN=	yes
+.endif
+.if defined(WITH_MUTT_IDN)
+LIB_DEPENDS+=	idn:${PORTSDIR}/dns/libidn
 .endif
-.if defined(WITH_SGML_DOCS) && ${WITH_SGML_DOCS} != "no"
-BUILD_DEPENDS+=	sgmlfmt:${PORTSDIR}/textproc/sgmlformat
+.if defined(WITH_MUTT_GPGME)
+LIB_DEPENDS+=	gpgme:${PORTSDIR}/security/gpgme
 .endif
-.if defined(WITH_MUTT_XFACE)
-PATCH_DEPENDS+=	${NONEXISTENT}:${PORTSDIR}/news/slrnface:extract
-RUN_DEPENDS+=	slrnface:${PORTSDIR}/news/slrnface
+.if ! defined(WITHOUT_MUTT_SMIME_OUTLOOK_COMPAT)
+post-patch::
+	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-smime-outlook
+.endif
+.if defined(WITH_MUTT_SIGNATURE_MENU)
+IGNORE=	the WITH_MUTT_SIGNATURE_MENU does not work at the moment
+XML_NEEDED=	yes
+post-patch::
+	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-signature-menu
+.endif
+.if defined(WITH_MUTT_MAILDIR_MTIME_PATCH)
+post-patch::
+.if defined(WITH_MUTT_NNTP)
+	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-maildir-mtime-nntp
+.else
+	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-maildir-mtime
 .endif
 .endif
 
-DIST_SUBDIR=	mutt
-WRKSRC=		${WRKDIR}/${DISTNAME:S/i$//}
-GNU_CONFIGURE=	yes
-USE_AUTOTOOLS=	automake autoconf
-LDFLAGS+=	-L${LOCALBASE}/lib
-CONFIGURE_ENV=	CC="${CC} -I${LOCALBASE}/include"
-CONFIGURE_ARGS=	--enable-pop --enable-imap --disable-fcntl \
-		--with-ssl=${OPENSSLBASE} --sysconfdir=${PREFIX}/etc \
-		--with-sharedir=${PREFIX}/share/mutt \
-		--with-docdir=${DOCSDIR} --with-charmaps \
-		--enable-compressed
-.if defined(MUTT_CONFIGURE_ARGS)
-CONFIGURE_ARGS+=	${MUTT_CONFIGURE_ARGS}
+.if defined(WITH_MUTT_ASPELL)
+post-patch::
+	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-aspell
+.endif
+
+.if defined(WITH_MUTT_REVERSE_REPLY_PATCH)
+post-patch::
+	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-reverse_reply
 .endif
+
+.if defined(WITH_MUTT_PARENT_CHILD_MATCH_PATCH)
+post-patch::
+	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-parent-child-match
+.endif
+
 .if defined(WITHOUT_MUTT_FLOCK)
 CONFIGURE_ARGS+=	--disable-flock
 .else
 CONFIGURE_ARGS+=	--enable-flock
 .endif
-.if defined(WITH_LOCALES_FIX)
+.if defined(WITH_MUTT_LOCALES_FIX)
 CONFIGURE_ARGS+=	--enable-locales-fix
 .endif
+.if defined(MUTT_USES_NCURSES_PORT)
+CONFIGURE_ARGS+=	--with-curses=${NCURSESBASE}
+.elif defined(MUTT_USES_SLANG)
+CONFIGURE_ARGS+=	--with-slang=${LOCALBASE}
+.else
+CONFIGURE_ARGS+=	--with-curses=${NCURSESBASE}
+.endif
+.if defined(WITH_MUTT_CYRUS_SASL2)
+CONFIGURE_ARGS+=	--with-sasl=${LOCALBASE}
+.endif
 .if defined(WITHOUT_NLS)
 CONFIGURE_ARGS+=	--disable-nls
-PLIST_SUB+=	NLS="@comment "
-.else
-PLIST_SUB+=	NLS=""
 .endif
-.if defined(WITHOUT_MUTT_ICONV) && defined(WITHOUT_NLS)
+.if defined(WITHOUT_MUTT_ICONV)
 CONFIGURE_ARGS+=	--disable-iconv
 .else
-CONFIGURE_ARGS+=	--with-libiconv-prefix=${PREFIX}
+CONFIGURE_ARGS+=	--with-libiconv-prefix=${LOCALBASE}
 .endif
-.if defined(WITH_SLANG)
-CONFIGURE_ARGS+=	--with-slang=${PREFIX}
-.elif defined(WITH_NCURSES)
-CONFIGURE_ARGS+=	--with-curses=${NCURSESBASE}
-CFLAGS+=	-I${NCURSESINC}
+.if defined(WITH_MUTT_IDN)
+CONFIGURE_ARGS+=	--with-idn
+.else
+CONFIGURE_ARGS+=	--without-idn
 .endif
+.if defined(WITH_MUTT_GPGME)
+CONFIGURE_ARGS+=	--enable-gpgme
+.else
+CONFIGURE_ARGS+=	--disable-gpgme
+.endif
+LDFLAGS=
 .if !defined(WITHOUT_GSSAPI)
-.if exists(${LOCALBASE}/bin/gss-client)
+.if exists(${LOCALBASE}/bin/krb5-config)
 LIB_DEPENDS+=		gssapi_krb5:${PORTSDIR}/security/krb5
 CONFIGURE_ARGS+=	--with-gss=${LOCALBASE}
+.elif exists(${KRB5_HOME}/bin/krb5-config)
+LIB_DEPENDS+=		gssapi_krb5:${PORTSDIR}/security/krb5
+CONFIGURE_ARGS+=	--with-gss=${KRB5_HOME}
+LDFLAGS+=		-L${KRB5_HOME}/lib -rpath=${KRB5_HOME}/lib
+.elif exists(${HEIMDAL_HOME}/bin/krb5-config)
+LIB_DEPENDS+=		gssapi_krb5:${PORTSDIR}/security/krb5
+CONFIGURE_ARGS+=	--with-gss=${HEIMDAL_HOME}
+LDFLAGS+=		-L${HEIMDAL_HOME}/lib -rpath=${HEIMDAL_HOME}/lib
 .elif (defined(MAKE_KERBEROS5)) || exists(/usr/lib/libkrb5.a)
 CONFIGURE_ARGS+=	--with-gss
 USE_KRB5_SYS=YES
 .endif
 .endif
-MAN1=		mutt.1 mutt_dotlock.1
-MAN5=		mbox.5 muttrc.5
+LDFLAGS+=		-L${LOCALBASE}/lib -rpath=${LOCALBASE}/lib:/usr/lib
+CFLAGS+=		${CFLAGS_ADD}
+LDFLAGS+=		${LDFLAGS_ADD}
+.if defined(WITH_MUTT_SMTP)
+CONFIGURE_ARGS+=	--enable-smtp
+.else
+CONFIGURE_ARGS+=	--disable-smtp
+.endif
+.if defined(WITH_MUTT_DEBUG)
+CONFIGURE_ARGS+=	--enable-debug
+.endif
+
+PATCH_DIST_STRIP=	-p1
+
+.if ! defined (WITHOUT_MUTT_COMPRESSED_FOLDERS)
+DISTFILES+=	patch-${RR_PATCH_VERSION}.rr.compressed.gz:vvv
+CONFIGURE_ARGS+=	--enable-compressed
+XML_NEEDED=	yes
+pre-patch::
+	@${GUNZIP_CMD} -c ${DISTDIR}/${DIST_SUBDIR}/patch-${RR_PATCH_VERSION}.rr.compressed.gz > ${WRKDIR}/patch-compressed
+	@${REINPLACE_CMD} -E '/^diff.*\/doc\/manual.txt$$/,/^diff/d' \
+		 ${WRKDIR}/patch-compressed
+	@${PATCH} ${PATCH_ARGS} -p1 < ${WRKDIR}/patch-compressed
+.endif
+.if defined(WITH_MUTT_NNTP)
+DISTFILES+=	patch-${VVV_PATCH_VERSION}.vvv.nntp.gz:vvv
+CONFIGURE_ARGS+=	--enable-nntp
+XML_NEEDED=	yes
+pre-patch::
+	@${GUNZIP_CMD} -c ${DISTDIR}/${DIST_SUBDIR}/patch-${VVV_PATCH_VERSION}.vvv.nntp.gz > ${WRKDIR}/patch-nntp
+	@${REINPLACE_CMD} -E '/^diff.*\/doc\/manual.txt$$/,/^diff/d' \
+		${WRKDIR}/patch-nntp
+	@${PATCH} ${PATCH_ARGS} -p1 < ${WRKDIR}/patch-nntp
+.endif
+.if ! defined(WITHOUT_MUTT_QUOTE_PATCH)
+PATCHFILES+=	patch-${VVV_PATCH_VERSION}.vvv.initials.gz:vvv \
+		patch-${VVV_PATCH_VERSION}.vvv.quote.gz:vvv
+XML_NEEDED=	yes
+.endif
+.if defined(WITH_MUTT_IFDEF_PATCH)
+post-patch::
+	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-ifdef
+.endif
+.if defined(WITH_MUTT_MBOX_HOOK_PATCH)
+IGNORE=	the WITH_MUTT_MBOX_HOOK_PATCH does not work at the moment
+#PATCHFILES+=	p0-patch-${DW_MBOX_PATCH_VERSION}.dw.mbox-hook.1:dw
+.endif
+.if defined(WITH_MUTT_SIDEBAR_PATCH)
+XML_NEEDED=	yes
+.if defined(WITH_MUTT_NNTP)
+post-patch::
+	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-sidebar-nntp
+.else
+post-patch::
+	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-sidebar
+.endif
+.endif
+.if defined(WITH_MUTT_GREETING_PATCH)
+post-patch::
+	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-greeting
+.endif
+.if defined(WITH_MUTT_TRASH_PATCH)
+post-patch::
+	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-trash-purge
+.endif
+
+WRKSRC=		${WRKDIR}/${DISTNAME:S/i$//}
+MAN1=		mutt.1 mutt_dotlock.1 flea.1 muttbug.1 smime_keys.1
+MAN5=		muttrc.5
+.if !defined(WITHOUT_MUTT_MAILBOX_MANPAGES)
+MAN5+=		mbox.5 mmdf.5
+.endif
 
 post-patch::
 	@${REINPLACE_CMD} -e 's,/usr/bin/gpg,${LOCALBASE}/bin/gpg,g' \
@@ -147,14 +499,9 @@ post-patch::
 	@${REINPLACE_CMD} -e 's,pgp6,pgp,g' \
 		${WRKSRC}/contrib/pgp6.rc
 	@${REINPLACE_CMD} -E -e 's|@samplesdir@|${EXAMPLESDIR}|g' \
-		${WRKSRC}/contrib/Makefile.in
-
-.if defined(WITH_MUTT_XFACE)
-post-patch::
-	@${ECHO} "===>  Applying XFACE patch"
-	slrnface_dir=`${FIND} ${PORTSDIR}/news/slrnface/work -type d \
-			-name slrnface-\*`; \
-	cd ${BUILD_WRKSRC}; ${PATCH} ${PATCH_ARGS} < $$slrnface_dir/mutt.patch
+		${WRKSRC}/contrib/Makefile.am
+.if defined(WITHOUT_MUTT_MAILBOX_MANPAGES)
+	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-no-mbox-manpage
 .endif
 
 pre-configure::
@@ -165,19 +512,54 @@ pre-configure::
 		${WRKSRC}/imap/auth_gss.c
 .endif
 
-# XXX
-# this should be done automagically by aclocal but ....
-# for now, this will have to do
-pre-build:
-	@${REINPLACE_CMD} -E -e "s|^(ACLOCAL = ).+|\1${ACLOCAL}|" \
-			-e "s|^(AUTOCONF = ).+|\1${AUTOCONF}|" \
-			-e "s|^(AUTOMAKE = ).+|\1${AUTOMAKE}|" \
-			-e "s|^(AUTOHEADER = ).+|\1${AUTOHEADER}|" \
-		${BUILD_WRKSRC}/Makefile
+.if defined(MUTT_SLAVE_HTML_PAGES)
+SCRIPTS_ENV+=	MUTT_SLAVE_HTML_PAGES="${MUTT_SLAVE_HTML_PAGES}"
+.endif
+.if defined(WITH_MUTT_NNTP)
+SCRIPTS_ENV+=	MUTT_NNTP="yes"
+.endif
+.if ! defined (WITHOUT_MUTT_COMPRESSED_FOLDERS)
+SCRIPTS_ENV+=	MUTT_COMPRESSED_FOLDERS="yes"
+.endif
+.if ! defined(WITHOUT_MUTT_QUOTE_PATCH)
+SCRIPTS_ENV+=	MUTT_QUOTE_PATCH="yes"
+.endif
+.if defined(WITH_MUTT_IMAP_HEADER_CACHE)
+.if defined(WITH_TOKYOCABINET)
+CONFIGURE_ARGS+=	--enable-hcache --without-gdbm --without-bdb --with-tokyocabinet
+LIB_DEPENDS+=		tokyocabinet.9:${PORTSDIR}/databases/tokyocabinet
+.else
+USE_BDB=		42+
+CONFIGURE_ARGS+=	--enable-hcache --without-gdbm --with-bdb
+.endif
+.else
+CONFIGURE_ARGS+=	--disable-hcache
+.endif
+.if defined(WITH_MUTT_MAILDIR_HEADER_CACHE)
+CONFIGURE_ARGS+=	--without-qdbm
+.endif
+.if defined(WITH_MUTT_SIDEBAR_PATCH)
+SCRIPTS_ENV+=	MUTT_SIDEBAR_PATCH="yes"
+.endif
+.if defined(WITH_MUTT_SIGNATURE_MENU)
+SCRIPTS_ENV+=	MUTT_SIGNATURE_MENU="yes"
+.endif
+.if defined(WITH_MUTT_IFDEF_PATCH)
+SCRIPTS_ENV+=	MUTT_IFDEF_PATCH="yes"
+.endif
+.if ! defined(WITHOUT_MUTT_HTML)
+SCRIPTS_ENV+=	MUTT_HTML="yes"
+.endif
+.if !defined(WITHOUT_NLS)
+SCRIPTS_ENV+=	MUTT_NLS="yes"
+.endif
+.if defined(WITH_MUTT_REVERSE_REPLY_PATCH)
+SCRIPTS_ENV+=	MUTT_REVERSE_REPLY_PATCH="yes"
+.endif
 
 .if !defined(NOPORTDOCS)
+SCRIPTS_ENV+=	MUTT_PORTDOCS="yes"
 post-build:
-	@${TOUCH} ${WRKSRC}/doc/mutt.man ${WRKSRC}/doc/manual.sgml
 	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-doc-ref
 	@${REINPLACE_CMD} -E -e 's|\$$\{PREFIX\}|${PREFIX}|g' \
 		-e 's|\$$\{DOCSDIR\}|${DOCSDIR}|g' \
@@ -187,38 +569,54 @@ post-build:
 		-e 's|\$$\{DOCSDIR\}|${DOCSDIR}|g' \
 		-e 's|\$$\{EXAMPLESDIR\}|${EXAMPLESDIR}|g' \
 		${WRKSRC}/doc/muttrc.man
-.if defined(WITH_SGML_DOCS) && ${WITH_SGML_DOCS} != "no"
-PLIST:=		${WRKDIR}/PLIST
-pre-install:
-	@${CAT} ${PKGDIR}/pkg-plist.htmlfiles > ${PLIST}
-	@${CAT} ${PKGDIR}/pkg-plist >> ${PLIST}
+.if ! defined(WITHOUT_MUTT_HTML)
+XML_USED=	yes
+.endif
+.if defined(XML_NEEDED) && !defined(WITHOUT_MUTT_XML)
+XML_USED=	yes
 .endif
+.else 	# ! NOPORTDOCS
+post-patch::
+	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-nodoc-contrib
+.endif # ! NOPORTDOCS
+
+.if ${XML_USED} == yes
+BUILD_DEPENDS+=	xsltproc:${PORTSDIR}/textproc/libxslt \
+		${LOCALBASE}/share/xsl/docbook/html/docbook.xsl:${PORTSDIR}/textproc/docbook-xsl \
+		lynx:${PORTSDIR}/www/lynx
+post-patch::
+	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-doc-xml
 .endif
 
+pre-install:
+	@${SETENV} ${SCRIPTS_ENV} ${SH} ${SCRIPTDIR}/generate-plist > ${PLIST}
+
 post-install:
-	${INSTALL_DATA} ${WRKSRC}/Muttrc ${PREFIX}/etc/Muttrc.dist
+	@${ECHO} > ${PKGMESSAGE}
+	${INSTALL_DATA} ${WRKSRC}/doc/Muttrc ${PREFIX}/etc/Muttrc.dist
 .if !defined(NOPORTDOCS)
 	@${ECHO} "===>   Installing Mutt documentation"
 	@${MKDIR} ${DOCSDIR} && ${CHMOD} a+rx ${DOCSDIR}
 	@cd ${WRKSRC}/doc ; ${INSTALL_MAN} manual.txt PGP-Notes.txt \
-		${DOCSDIR}
-.if defined(WITH_SGML_DOCS) && ${WITH_SGML_DOCS} != "no"
-	${INSTALL} ${COPY} -o ${MANOWN} -g ${MANGRP} -m 0755 \
-	    -d ${DOCSDIR}/html
+		../ABOUT-NLS ../contrib/language*  ${DOCSDIR}
+.if defined(WITH_MUTT_NNTP)
+	@cd ${WRKSRC} ; ${INSTALL_MAN} ChangeLog.nntp ${DOCSDIR}
+.endif
+.if ! defined(WITHOUT_MUTT_HTML)
+	@${MKDIR} ${DOCSDIR}/html && ${CHMOD} a+rx ${DOCSDIR}/html
 	${INSTALL_MAN} ${WRKSRC}/doc/*.html ${DOCSDIR}/html
-	${INSTALL_MAN} ${WRKSRC}/doc/*.latin1 ${DOCSDIR}
 .endif
 .endif
-
-.if defined(WITH_MUTT_XFACE)
-	@${ECHO} ""
-	@${ECHO} "************************************************************"
-	@${ECHO} "  To enable the XFACE support in mutt you also have to add"
-	@${ECHO} "        set xface=yes"
-	@${ECHO} "  to your ~/.muttrc"
-	@${ECHO} "  Additional information is provided by news/slrnface"
-	@${ECHO} "************************************************************"
-	@${ECHO} ""
+.if defined(MUTT_USES_SLANG)
+	@${ECHO} "=====================================================" >> ${PKGMESSAGE}
+	@${ECHO} "You have installed ${PORTNAME} with SLANG support." >> ${PKGMESSAGE}
+	@${ECHO} "This may work for a color terminal only when defining" >> ${PKGMESSAGE}
+	@${ECHO} "COLORTERM=yes and COLORFGBG=\"color1;color2\" in your" >> ${PKGMESSAGE}
+	@${ECHO} "environment." >> ${PKGMESSAGE}
+	@${ECHO} "=====================================================" >> ${PKGMESSAGE}
+.endif
+.if !defined(BATCH)
+	@${CAT} ${PKGMESSAGE}
+	@${ECHO}
 .endif
-
 .include <bsd.port.post.mk>

Modified: head/mail/mutt/distinfo
==============================================================================
--- head/mail/mutt/distinfo	Sun Jul 22 09:14:46 2012	(r301307)
+++ head/mail/mutt/distinfo	Sun Jul 22 09:15:04 2012	(r301308)
@@ -1,6 +1,10 @@
-SHA256 (mutt/mutt-1.4.2.3.tar.gz) = 1a4920e5efccd6a83932af4223cb568956158f62e9f595798acc4004aca6ace5
-SIZE (mutt/mutt-1.4.2.3.tar.gz) = 2646433
-SHA256 (mutt/patch-1.4.2.2.rr.compressed.gz) = 3f70a8b666e1dd5342acb418aac8cb4a1ab68559b389346052bb1078a3b8dfee
-SIZE (mutt/patch-1.4.2.2.rr.compressed.gz) = 10191
-SHA256 (mutt/patch-1.4.2.2.vvv.initials.gz) = 2ab42c9bd369bacf7cad603e242e110c9adfdf18f477ce065fef8dbfbd1a8474
-SIZE (mutt/patch-1.4.2.2.vvv.initials.gz) = 690
+SHA256 (mutt/mutt-1.5.21.tar.gz) = 2141f36e8d0f4f71c9ca6780001e7cc679fe313e643953fc07f001223e67c4a0
+SIZE (mutt/mutt-1.5.21.tar.gz) = 3716886
+SHA256 (mutt/patch-1.5.21.rr.compressed.gz) = 5056b181222c4322667fd99a6314e80a4a8b4613357364d9deddef626136b4d9
+SIZE (mutt/patch-1.5.21.rr.compressed.gz) = 10133
+SHA256 (mutt/patch-1.5.21.vvv.nntp.gz) = 514cb4c3404bb68fef08781c17be41c6cd1251d05442db4105c6258f0b9d4928
+SIZE (mutt/patch-1.5.21.vvv.nntp.gz) = 55611
+SHA256 (mutt/patch-1.5.21.vvv.initials.gz) = ecce3643b04d1aced7085bca506896298bd56d991a5d1af057922c8358abf141
+SIZE (mutt/patch-1.5.21.vvv.initials.gz) = 691
+SHA256 (mutt/patch-1.5.21.vvv.quote.gz) = b0613d305932b31eaf005ee0740558d46561a6d7a333c97a00d34a1d0c1ef843
+SIZE (mutt/patch-1.5.21.vvv.quote.gz) = 1280

Copied: head/mail/mutt/files/extra-patch-aspell (from r301301, head/mail/mutt-devel/files/extra-patch-aspell)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/mutt/files/extra-patch-aspell	Sun Jul 22 09:15:04 2012	(r301308, copy of r301301, head/mail/mutt-devel/files/extra-patch-aspell)
@@ -0,0 +1,11 @@
+--- doc/Muttrc.head.orig	Thu Jan 24 13:10:47 2002
++++ doc/Muttrc.head	Tue Nov  9 08:53:14 2004
+@@ -19,6 +19,8 @@
+ macro index   <f1> "!less @docdir@/manual.txt\n" "Show Mutt documentation"
+ macro pager   <f1> "!less @docdir@/manual.txt\n" "Show Mutt documentation"
+ 
++set ispell="/usr/local/bin/aspell --mode=email check"
++
+ # If Mutt is unable to determine your site's domain name correctly, you can
+ # set the default here.
+ #

Modified: head/mail/mutt/files/extra-patch-doc-ref
==============================================================================
--- head/mail/mutt/files/extra-patch-doc-ref	Sun Jul 22 09:14:46 2012	(r301307)
+++ head/mail/mutt/files/extra-patch-doc-ref	Sun Jul 22 09:15:04 2012	(r301308)
@@ -1,12 +1,12 @@
---- doc/mutt.man.orig	Mon Jul 13 12:50:38 1998
-+++ doc/mutt.man	Thu Oct  1 22:15:40 1998
-@@ -20,7 +20,8 @@
- .SH DESCRIPTION
- Mutt is a small but very powerful text based program for reading electronic
- mail under unix operating systems, including support color terminals, MIME,
--and a threaded sorting mode.
-+and a threaded sorting mode.  Details of how to use all of this is
+--- doc/mutt.man.orig	2009-02-06 13:52:38.000000000 +0100
++++ doc/mutt.man	2009-02-06 13:55:05.000000000 +0100
+@@ -69,7 +69,8 @@
+ .PP
+ Mutt is a small but very powerful text based program for reading and sending electronic
+ mail under unix operating systems, including support for color terminals, MIME,
+-OpenPGP, and a threaded sorting mode.
++OpenPGP, and a threaded sorting mode. Details of how to use all of this is
 +available in \fI${DOCSDIR}\fP.
- .SH OPTIONS
- .IP "-a \fIfile\fP"
- Attach a file to your message using MIME.
+ .PP
+ .I Note:
+ .IR

Copied: head/mail/mutt/files/extra-patch-doc-xml (from r301301, head/mail/mutt-devel/files/extra-patch-doc-xml)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/mutt/files/extra-patch-doc-xml	Sun Jul 22 09:15:04 2012	(r301308, copy of r301301, head/mail/mutt-devel/files/extra-patch-doc-xml)
@@ -0,0 +1,11 @@
+--- doc/Makefile.am.orig	2010-09-17 16:23:30.000000000 +0200
++++ doc/Makefile.am	2010-09-17 16:25:01.000000000 +0200
+@@ -47,7 +47,7 @@
+ 
+ all: makedoc-all
+ 
+-makedoc-all: mutt.1 smime_keys.1 muttrc.man
++makedoc-all: mutt.1 smime_keys.1 muttrc.man manual.html stamp-doc-chunked manual.txt
+ 
+ install-data-local: makedoc-all instdoc
+ 	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(mandir)/man1

Copied: head/mail/mutt/files/extra-patch-greeting (from r301301, head/mail/mutt-devel/files/extra-patch-greeting)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/mutt/files/extra-patch-greeting	Sun Jul 22 09:15:04 2012	(r301308, copy of r301301, head/mail/mutt-devel/files/extra-patch-greeting)
@@ -0,0 +1,160 @@
+diff -urN mutt-1.5.19/globals.h mutt-1.5.19-vc/globals.h
+--- mutt-1.5.19/globals.h	2009-01-04 01:27:10.000000000 +0200
++++ mutt-1.5.19-vc/globals.h	2009-02-09 19:30:31.000000000 +0200
+@@ -52,6 +52,7 @@
+ WHERE char *FolderFormat;
+ WHERE char *ForwFmt;
+ WHERE char *Fqdn;
++WHERE char *Greeting;
+ WHERE char *HdrFmt;
+ WHERE char *HistFile;
+ WHERE char *Homedir;
+diff -urN mutt-1.5.19/hdrline.c mutt-1.5.19-vc/hdrline.c
+--- mutt-1.5.19/hdrline.c	2009-01-05 21:20:53.000000000 +0200
++++ mutt-1.5.19-vc/hdrline.c	2009-02-09 19:30:31.000000000 +0200
+@@ -741,3 +741,62 @@
+ {
+   mutt_FormatString (dst, dstlen, 0, s, hdr_format_str, (unsigned long) hfi, flags);
+ }
++
++/* %n = recipient name
++ * %u = user (login) name of recipient
++ * %v = first name of recipient	*/
++const char *
++greeting_string (char *dest,
++		size_t destlen,
++		size_t col,
++		char op,
++		const char *src,
++		const char *prefix,
++		const char *ifstring,
++		const char *elsestring,
++		unsigned long data,
++		format_flag flags)
++{
++  HEADER *hdr = (HEADER *)data;
++  char *p, buf2[SHORT_STRING];
++
++  dest[0] = '\0';
++  switch (op)
++  {
++    case 'n':
++      mutt_format_s (dest, destlen, prefix, mutt_get_name (hdr->env->to));
++      break;
++
++    case 'u':
++      if (hdr->env->to)
++      {
++	strfcpy (buf2, mutt_addr_for_display (hdr->env->to), sizeof (buf2));
++	if ((p = strpbrk (buf2, "%@")))
++	  *p = '\0';
++      }
++      else
++	buf2[0] = '\0';
++      mutt_format_s (dest, destlen, prefix, buf2);
++      break;
++
++    case 'v':
++      if (hdr->env->to)
++	mutt_format_s (buf2, sizeof (buf2), prefix, mutt_get_name (hdr->env->to));
++      else if (hdr->env->cc)
++	mutt_format_s (buf2, sizeof (buf2), prefix, mutt_get_name (hdr->env->cc));
++      else
++	*buf2 = '\0';
++      if ((p = strpbrk (buf2, " %@")))
++	*p = '\0';
++      mutt_format_s (dest, destlen, prefix, buf2);
++      break;
++
++    default:
++      snprintf (dest, destlen, "%%%s%c", prefix, op);
++      break;
++  }
++  if (flags & M_FORMAT_OPTIONAL)
++    mutt_FormatString (dest, destlen, col, elsestring, greeting_string, data, flags);
++
++  return(src);
++}
+diff -urN mutt-1.5.19/init.h mutt-1.5.19-vc/init.h
+--- mutt-1.5.19/init.h	2009-01-05 21:20:53.000000000 +0200
++++ mutt-1.5.19-vc/init.h	2009-02-09 19:30:31.000000000 +0200
+@@ -745,6 +745,22 @@
+   ** .pp
+   ** This setting defaults to the contents of the environment variable \fC$$$EMAIL\fP.
+   */
++  { "greeting",		DT_STR,	 R_NONE, UL &Greeting, UL "" },
++  /*
++  ** .pp
++  ** When set, this is the string that will precede every message as a
++  ** greeting phrase to the recipients.
++  ** .pp
++  ** ``Format strings'' are similar to the strings used in the ``C''
++  ** function printf to format output (see the man page for more detail).
++  ** The following sequences are defined in Mutt:
++  ** .pp
++  ** .dl
++  ** .dt %n .dd recipient name
++  ** .dt %u .dd user (login) name of recipient
++  ** .dt %v .dd first name of recipient
++  ** .de
++  */
+   { "gecos_mask",	DT_RX,	 R_NONE, UL &GecosMask, UL "^[^,]*" },
+   /*
+   ** .pp
+diff -urN mutt-1.5.19/PATCHES mutt-1.5.19-vc/PATCHES
+--- mutt-1.5.19/PATCHES	2008-03-19 22:07:06.000000000 +0200
++++ mutt-1.5.19-vc/PATCHES	2009-02-09 19:30:31.000000000 +0200
+@@ -0,0 +1 @@
++vc.greeting
+diff -urN mutt-1.5.19/protos.h mutt-1.5.19-vc/protos.h
+--- mutt-1.5.19/protos.h	2009-01-05 21:20:53.000000000 +0200
++++ mutt-1.5.19-vc/protos.h	2009-02-09 19:32:15.000000000 +0200
+@@ -526,6 +526,9 @@
+ void ci_bounce_message (HEADER *, int *);
+ int ci_send_message (int, HEADER *, char *, CONTEXT *, HEADER *);
+ 
++const char *greeting_string (char *, size_t, size_t, char, const char *, const char *,
++		const char *, const char *, unsigned long, format_flag);

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 dfilter freebsd_committer 2012-07-22 10:16:40 UTC
Author: crees
Date: Sun Jul 22 09:16:31 2012
New Revision: 301309
URL: http://svn.freebsd.org/changeset/ports/301309

Log:
  Move mail/mutt-devel-lite to mail/mutt-lite
  
  PR:		ports/169546
  Approved by:	maintainer

Added:
  head/mail/mutt-lite/
     - copied from r301301, head/mail/mutt-devel-lite/
Deleted:
  head/mail/mutt-devel-lite/
Modified:
  head/mail/Makefile
  head/mail/mutt-lite/Makefile

Modified: head/mail/Makefile
==============================================================================
--- head/mail/Makefile	Sun Jul 22 09:15:04 2012	(r301308)
+++ head/mail/Makefile	Sun Jul 22 09:16:31 2012	(r301309)
@@ -302,7 +302,7 @@
     SUBDIR += mutt
     SUBDIR += mutt14
     SUBDIR += mutt14-lite
-#    SUBDIR += mutt-lite
+    SUBDIR += mutt-lite
     SUBDIR += mutt_vc_query
     SUBDIR += muttils
     SUBDIR += muttzilla

Modified: head/mail/mutt-lite/Makefile
==============================================================================
--- head/mail/mutt-devel-lite/Makefile	Sun Jul 22 08:24:40 2012	(r301301)
+++ head/mail/mutt-lite/Makefile	Sun Jul 22 09:16:31 2012	(r301309)
@@ -6,11 +6,11 @@
 #
 
 # Just to get a mutt-devel-lite pkg on pkg cluster
-MASTERDIR=	${.CURDIR}/../mutt-devel
+MASTERDIR=	${.CURDIR}/../mutt
 
 COMMENT=	The Mongrel of Mail User Agents (development version, lite package)
 
-CONFLICTS=	ja-mutt-[0-9]* ja-mutt-devel-[0-9]* mutt-[0-9]* mutt-devel-[0-9]* mutt-lite-[0-9]* zh-mutt-devel-[0-9]*
+CONFLICTS=	ja-mutt-[0-9]* ja-mutt-devel-[0-9]* mutt-[0-9]* mutt-devel-[0-9]* mutt-lite-1.4* zh-mutt-devel-[0-9]*
 
 MUTT_LITE=	yes
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 12 Chris Rees freebsd_committer 2012-07-22 10:16:56 UTC
State Changed
From-To: open->closed

All done.  Time to pray...